Bug 547198 - programlistingco tag support for areaspec units="linecolumn"
programlistingco tag support for areaspec units="linecolumn"
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-13 18:38 EST by BenC
Modified: 2010-11-23 23:17 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-31 20:14:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample of proposed change (103.78 KB, image/png)
2010-01-18 21:17 EST, Jeff Fearn
no flags Details

  None (edit)
Description BenC 2009-12-13 18:38:36 EST
Description of problem:

programlistingco does not currently support specifying a y axis placement for the images placed within the code when writing a calloutlist:
  
 <programlistingco>
   <areaspec units="linecolumn">
   <area coords="3 20" id="aa1" />


Version-Release number of selected component (if applicable):
1.3

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The current result is that the images are placed at the end the line of code. Lining them up with a constant y coordinate would improve the appearance and readability.
Comment 1 Jeff Fearn 2010-01-18 21:17:53 EST
Created attachment 385297 [details]
Sample of proposed change

Sample of proposed change

Hi Richard, the current code sets the width to 60 and will be pushed out from
there for individual lines greater than 60. Thus you will get a staggered
layout if lines are variably above 60.

I'm thinking of changing this to make the default width 40, but if any line is
greater than 36 it will change to maximum line with + 4.

This isn't full support for LineColumn, but it's something that I can get in
the next version. Full support for LineColumn will take longer to implement.

Cheers, Jeff.
Comment 2 Jeff Fearn 2010-01-19 23:03:10 EST
Went with solution in comment #1.
Comment 3 Fedora Update System 2010-01-28 21:04:48 EST
publican-1.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.4-1.fc12
Comment 4 Fedora Update System 2010-01-28 21:06:07 EST
publican-1.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.4-1.fc11
Comment 5 Fedora Update System 2010-01-31 20:12:52 EST
publican-1.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-01-31 20:21:17 EST
publican-1.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.